{
  "attributes": [
    {
      "allow_nil?": false,
      "default": "fragment(\"uuid_generate_v7()\")",
      "generated?": false,
      "precision": null,
      "primary_key?": true,
      "references": null,
      "scale": null,
      "size": null,
      "source": "id",
      "type": "uuid"
    },
    {
      "allow_nil?": false,
      "default": "nil",
      "generated?": false,
      "precision": null,
      "primary_key?": false,
      "references": null,
      "scale": null,
      "size": null,
      "source": "name",
      "type": "text"
    },
    {
      "allow_nil?": false,
      "default": "nil",
      "generated?": false,
      "precision": null,
      "primary_key?": false,
      "references": null,
      "scale": 2,
      "size": null,
      "source": "amount",
      "type": "decimal"
    },
    {
      "allow_nil?": false,
      "default": "nil",
      "generated?": false,
      "precision": null,
      "primary_key?": false,
      "references": null,
      "scale": null,
      "size": null,
      "source": "interval",
      "type": "text"
    },
    {
      "allow_nil?": true,
      "default": "nil",
      "generated?": false,
      "precision": null,
      "primary_key?": false,
      "references": null,
      "scale": null,
      "size": null,
      "source": "description",
      "type": "text"
    }
  ],
  "base_filter": null,
  "check_constraints": [],
  "custom_indexes": [],
  "custom_statements": [],
  "has_create_action": true,
  "hash": "C58959BF589FEB75A9F05C2C717C04B641ED14E09FF2503C8B0637392AE5A335",
  "identities": [
    {
      "all_tenants?": false,
      "base_filter": null,
      "index_name": "membership_fee_types_unique_name_index",
      "keys": [
        {
          "type": "atom",
          "value": "name"
        }
      ],
      "name": "unique_name",
      "nils_distinct?": true,
      "where": null
    }
  ],
  "multitenancy": {
    "attribute": null,
    "global": null,
    "strategy": null
  },
  "repo": "Elixir.Mv.Repo",
  "schema": null,
  "table": "membership_fee_types"
}